/**
 * Copyright © VNG Realisatie 2023
 * Licensed under the EUPL
 */

@use "../theme";

.contracts-page {
    &__actions-bar {
        display: flex;
        align-items: flex-start;
        justify-content: space-between;

        &__contract-count {
            margin-bottom: theme.$spacing07;

            &__amount {
                font-weight: theme.$fontWeightBold;
                font-size: theme.$fontSizeXXLarge;
                display: block;
            }
        }
    }

    &__loading-message {
        display: none;
    }

    &__title {
        display: flex;
    }

    &__no-results {
        color: theme.$colorTextLabel;
        font-size: theme.$fontSizeSmall;
        margin-bottom: 0;
        text-align: center;
        height: calc(100vh - 20rem);
        line-height: calc(100vh - 20rem);
    }

    &__contract-title {
        display: flex;
        a {
            text-decoration: none;
        }
    }

    &__grants-table {
        padding-left: 1.5rem;
    }

    &.htmx-request {
        .contracts-page__loaded-content { display: none; }
        .contracts-page__loading-message { display: flex; }
    }

    #pagination .contracts-page__no-results {
        height: initial;
        line-height: initial;
    }
}
